#include <stdint.h>
#include <stdio.h>


int main(int argc, char *argv[])
{
    printf("sizeof(int8_t) = %d\n", sizeof(int8_t));
    printf("sizeof(uint8_t) = %d\n", sizeof(uint8_t));
    printf("sizeof(int16_t) = %d\n", sizeof(int16_t));
    printf("sizeof(uint16_t) = %d\n", sizeof(uint16_t));
    printf("sizeof(int32_t) = %d\n", sizeof(int32_t));
    printf("sizeof(uint32_t) = %d\n", sizeof(uint32_t));
#if defined(_M_X64) || defined(__amd64__)
    printf("sizeof(int64_t) = %d\n", sizeof(int64_t));
    printf("sizeof(uint64_t) = %d\n", sizeof(uint64_t));
#endif

    printf("INT8_MAX = %d\n", INT8_MAX);
    printf("INT16_MAX = %d\n", INT16_MAX);
    printf("INT32_MAX = %d\n", INT32_MAX);
#if defined(_M_X64) || defined(__amd64__)
    printf("INT64_MAX = %d\n", INT64_MAX);
#endif

    printf("INT8_MIN = %d\n", INT8_MIN);
    printf("INT16_MIN = %d\n", INT16_MIN);
    printf("INT32_MIN = %d\n", INT32_MIN);
#if defined(_M_X64) || defined(__amd64__)
    printf("INT64_MIN = %d\n", INT64_MIN);
#endif

    printf("sizeof(int_least8_t) = %d\n", sizeof(int_least8_t));
    printf("sizeof(int_least16_t) = %d\n", sizeof(int_least16_t));
    printf("sizeof(int_least32_t) = %d\n", sizeof(int_least32_t));
#if defined(_M_X64) || defined(__amd64__)
    printf("sizeof(int_least64_t) = %d\n", sizeof(int_least64_t));
#endif

    printf("sizeof(uint_least8_t) = %d\n", sizeof(uint_least8_t));
    printf("sizeof(uint_least16_t) = %d\n", sizeof(uint_least16_t));
    printf("sizeof(uint_least32_t) = %d\n", sizeof(uint_least32_t));
#if defined(_M_X64) || defined(__amd64__)
    printf("sizeof(uint_least64_t) = %d\n", sizeof(uint_least64_t));
#endif

    return 0;
}
